//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
// CommonHelpers satellite library | Author: Sergei Y.Kitáev
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
using System;

namespace CommonHelpers {

//**************************************************************************************************
partial class HConsole {
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

public void PrintAlignedList([HOptional] string caption,string[] captions,string[] values)
{
   PrintAlignedList(false,caption,captions,values);
}

//==================================================================================================

public void PrintAlignedList(string[] captions,string[] values)
{
   PrintAlignedList(false,captions,values);
}

public void PrintAlignedList(string[] captions,string[] values,[HOptional] string pairLigament)
{
   PrintAlignedList(false,captions,values,pairLigament);
}

//--------------------------------------------------------------------------------------------------

public void PrintAlignedList(string[] captions,ConsoleColor? captionColor,string[] values)
{
   PrintAlignedList(false,captions,captionColor,values);
}

public void PrintAlignedList( string[] captions, ConsoleColor? captionColor,
                              string[] values, [HOptional] string pairLigament )
{
   PrintAlignedList(false,captions,captionColor,values,pairLigament);
}

//--------------------------------------------------------------------------------------------------

public void PrintAlignedList(string[] captions,string[] values,ConsoleColor? valueColor)
{
   PrintAlignedList(false,captions,values,valueColor);
}

public void PrintAlignedList( string[] captions, string[] values,
                              ConsoleColor? valueColor, [HOptional] string pairLigament )
{
   PrintAlignedList(false,captions,values,valueColor,pairLigament);
}

//--------------------------------------------------------------------------------------------------

public void PrintAlignedList( string[] captions, ConsoleColor? captionColor,
                              string[] values, ConsoleColor? valueColor )
{
   PrintAlignedList(false,captions,captionColor,values,valueColor);
}

public void PrintAlignedList( string[] captions, ConsoleColor? captionColor,
                              string[] values, ConsoleColor? valueColor,
                              [HOptional] string pairLigament )
{
   PrintAlignedList(false,captions,captionColor,values,valueColor,pairLigament);
}

//--------------------------------------------------------------------------------------------------

public void PrintAlignedList( string[] captions, ConsoleColor? captionColor,
                              string[] values, ConsoleColor? valueColor,
                              char? bulletChar, ConsoleColor? bulletColor,
                              [HOptional] string pairLigament,
                              ConsoleColor? pairLigamentColor )
{
   PrintAlignedList( false,
      captions, captionColor,
      values, valueColor,
      bulletChar, bulletColor,
      pairLigament, pairLigamentColor );
}

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
} // HConsole
//**************************************************************************************************

} // CommonHelpers
